<ion-header>
  <ion-toolbar>
    <!-- <ion-title>{{ isLogin ? 'Login' : 'Signup' }}</ion-title> -->
    <ion-title>Login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <!-- <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)" *ngIf="!isLogin">
    <ion-grid>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Email</ion-label>
              <ion-input
                type="email"
                ngModel
                name="email"
                required
                email
                #emailCtrl="ngModel"
              ></ion-input>
            </ion-item>
            <ion-item
              *ngIf="!emailCtrl.valid && emailCtrl.touched"
              lines="none"
            >
              <ion-label color="danger">
                Should be a valid email
              </ion-label>
            </ion-item>

            <ion-item>
              <ion-label position="floating">First name</ion-label>
              <ion-input
                type="text"
                ngModel
                name="firstName"
                required
                #nameCtrl="ngModel"
              ></ion-input>
            </ion-item>
            <ion-item *ngIf="!nameCtrl.valid && nameCtrl.touched" lines="none">
              <ion-label color="danger">
                Field name is required
              </ion-label>
            </ion-item>

            <ion-item>
              <ion-label position="floating">Last name</ion-label>
              <ion-input
                type="text"
                ngModel
                name="lastName"
                required
                #lastCtrl="ngModel"
              ></ion-input>
            </ion-item>
            <ion-item *ngIf="!lastCtrl.valid && lastCtrl.touched" lines="none">
              <ion-label color="danger">
                Field last name is required
              </ion-label>
            </ion-item>

            <ion-item>
              <ion-label position="floating">Password</ion-label>
              <ion-input
                type="password"
                ngModel
                name="password"
                required
                minlength="4"
                #passwordCtrl="ngModel"
              ></ion-input>
            </ion-item>
            <ion-item
              *ngIf="!passwordCtrl.valid && passwordCtrl.touched"
              lines="none"
            >
              <ion-label color="danger">
                Password must have at least 4 characters
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Repeat password</ion-label>
              <ion-input
                type="password"
                ngModel
                name="repeatPassword"
                required
                [disabled]="!passwordCtrl.valid"
                compare="password"
                #repeatPasswordCtrl="ngModel"
              ></ion-input>
            </ion-item>
            <ion-item
              *ngIf="
                !isLogin &&
                !repeatPasswordCtrl.valid &&
                repeatPasswordCtrl.touched
              "
              lines="none"
            >
              <ion-label color="danger">
                passwords must be the same
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>Category</ion-label>
              <ion-select
                interface="alert"
                multiple="false"
                placeholder="Select One"
                name="category"
                ngModel
                #categoryCtrl="ngModel"
                [interface]="'{keyboardClose: true}'"
              >
                <ion-select-option
                  *ngFor="let category of categories"
                  [value]="category.role"
                  >{{ category.name }}</ion-select-option
                >
              </ion-select>
            </ion-item>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-button
            color="primary"
            expand="block"
            type="submit"
            [disabled]="!loginForm.valid"
          >
            {{ isLogin ? 'Login' : 'Signup' }}
          </ion-button>
          <ion-button
            color="primary"
            fill="clear"
            expand="block"
            type="button"
            (click)="onSwitchAuthMode(loginForm)"
          >
            Switch to {{ isLogin ? 'Signup' : 'Login' }}
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form> -->
  <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)" *ngIf="isLogin">
    <ion-grid>
      <ion-row class="ion-align-items-stretch">
        <ion-col size-sm="6" offset-sm="3">
          <ion-item>
            <ion-label position="floating">Email</ion-label>
            <ion-input
              type="email"
              ngModel
              name="email"
              required
              email
              #emailCtrl="ngModel"
              [autofocus]="true"
            ></ion-input>
          </ion-item>
          <ion-item *ngIf="!emailCtrl.valid && emailCtrl.touched" lines="none">
            <ion-label color="danger">
              Should be a valid email
            </ion-label>
          </ion-item>
        </ion-col>
        <ion-col size="10" size-sm="5" offset-sm="3">
          <ion-item>
            <ion-label position="floating">Password</ion-label>
            <ion-input
              [type]="showPass ? 'text' : 'password'"
              ngModel
              name="password"
              required
              minlength="4"
              #passwordCtrl="ngModel"
            >
            </ion-input>
          </ion-item>
        </ion-col>
        <ion-col size="2" class="icon-col">
          <ion-icon
            item-right
            class="suffix-icon"
            (click)="togglePass()"
            color="primary"
            [name]="showPass ? 'eye-off' : 'eye'"
          ></ion-icon>
        </ion-col>
        <ion-col size="12">
          <ion-item
            *ngIf="!passwordCtrl.valid && passwordCtrl.touched"
            lines="none"
          >
            <ion-label color="danger">
              Password must have at least 4 characters
            </ion-label>
          </ion-item>
        </ion-col>

        <ion-col size="12">
          <ion-button
            color="primary"
            expand="block"
            type="submit"
            [disabled]="!loginForm.valid"
          >
            Login
          </ion-button>
          <!-- <ion-button
            color="primary"
            fill="clear"
            expand="block"
            type="button"
            (click)="onSwitchAuthMode(loginForm)"
          >
            Switch to {{ isLogin ? 'Signup' : 'Login' }}
          </ion-button> -->
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
